summaryrefslogtreecommitdiffstats
path: root/network/3proxy/3proxy.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/3proxy/3proxy.SlackBuild')
-rw-r--r--network/3proxy/3proxy.SlackBuild117
1 files changed, 117 insertions, 0 deletions
diff --git a/network/3proxy/3proxy.SlackBuild b/network/3proxy/3proxy.SlackBuild
new file mode 100644
index 0000000000..7bfcc8d1bf
--- /dev/null
+++ b/network/3proxy/3proxy.SlackBuild
@@ -0,0 +1,117 @@
+#!/bin/sh
+
+# Slackware build script for 3proxy
+
+# Copyright 2008 Ilya INSTE Ponetayev, <inste@mail.ru>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+# Modified by Slackbuilds.org
+
+PRGNAM=3proxy
+VERSION=${VERSION:-0.5.3k}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mtune=i686"
+ OPTPATCH="3proxy.x86.i386.flags.diff.gz"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ OPTPATCH="3proxy.x86.i486.flags.diff.gz"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ OPTPATCH="3proxy.x86_64.flags.diff.gz"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# installing correct Makefile
+zcat $CWD/$OPTPATCH | patch -p2
+ln -s Makefile.unix Makefile
+
+# Build and install:
+make
+
+mkdir $PKG/usr
+mkdir $PKG/usr/bin
+cp src/3proxy $PKG/usr/bin
+cp src/dighosts $PKG/usr/bin
+cp src/ftppr $PKG/usr/bin
+cp src/mycrypt $PKG/usr/bin
+cp src/pop3p $PKG/usr/bin
+cp src/proxy $PKG/usr/bin
+cp src/socks $PKG/usr/bin
+cp src/tcppm $PKG/usr/bin
+cp src/udppm $PKG/usr/bin
+mkdir $PKG/usr/man
+mkdir $PKG/usr/man/man3
+mkdir $PKG/usr/man/man8
+cp man/*.8 $PKG/usr/man/man8
+cp man/*.3 $PKG/usr/man/man3
+
+chmod 755 -R $PKG/usr/bin
+chmod 755 -R $PKG/usr/man
+chown root.root -R $PKG
+
+# Strip binaries:
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Compress and link manpages.
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PRGNAM}-$VERSION
+cp -a \
+ Changelog License Readme Release.notes doc cfg \
+ $PKG/usr/doc/${PRGNAM}-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz